Bug 266401 - Spurious message on processing files with no SELinux context
Spurious message on processing files with no SELinux context
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: aide (Show other bugs)
5.0
All All
medium Severity low
: ---
: ---
Assigned To: Brian Stein
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 04:32 EDT by Jakub Hrozek
Modified: 2013-03-01 00:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-17 12:17:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2007-08-30 04:32:22 EDT
Description of problem:
When processing a file with no SELinux label, aide prints out the following 
message:
---
lgetfileconv_raw failed for /path/to/file: No data available
---

Version-Release number of selected component (if applicable):
most recently aide-0.13, also aide-0.12-7

How reproducible:
always

Steps to Reproduce:
1. turn off SELinux
2. create a file, i.e. #touch /root/aide-no-context
3. verify that it has no context by # ls -lZ /root/aide-no-context
4. run #aide -i

Actual results:
lgetfileconv_raw messages - one for every file with no label


Expected results:
no such messages - they are not very descriptive and if running on a system 
with lots of unlabeled files, floods the terminal.


Additional info:
Aide up to 0.12-7 (version shipped with RHEL5-GA) used to segfault on 
processing files with no context.
Comment 2 Martin Poole 2010-06-22 10:35:07 EDT
aide is working as designed.

selinux as a check item includes reporting when files have no context.

To eliminate these warnings the /etc/aide.conf should be modified to provide alternative for the R L & >  groups and change references to them, and also to remove selinux from other group definitions.

Note You need to log in before you can comment on or make changes to this bug.